import { ServiceBusAdministrationClient, ServiceBusClient } from "@azure/service-bus";
export declare class SwSselistner {
  baseUrl: string;
  baseUrlInteral: string;
  pathInternal: string[];
  deleteMod: boolean;
  pluginActions: {
    id: string;
    info: string;
    name: string;
  }[];
  pluginActionsState: {
    id: string;
    info: string;
    name: string;
  }[];
  baseUrlState: string;
  connectionStringInput: string;
  connectionString: string;
  topicNameInput: string;
  topicName: string;
  sbClient: ServiceBusClient;
  sbAdministrationClient: ServiceBusAdministrationClient;
  sender: any;
  changeDeleteMod(newValue: boolean): void;
  getSBus(data: string, subsciptionName: string): Promise<void>;
  deleteSubscriptions(name?: string): Promise<void>;
  createSubscriptions(name?: string): Promise<void>;
  checkOrCreateTopic(): Promise<void>;
  componentWillRender(): void;
  checkForSse(baseUrl: string, path: string): boolean;
  filterPostChain(data: any): any;
  connectToSse(baseUrl: string, path: {
    id: string;
    info: string;
    name: string;
  }): void;
  render(): any;
}
